Bug 740612 - keepassx qt build requirement is 4.3 not 4.1
Summary: keepassx qt build requirement is 4.3 not 4.1
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: keepassx
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 846513
TreeView+ depends on / blocked
 
Reported: 2011-09-22 16:25 UTC by Leonard den Ottolander
Modified: 2012-08-08 01:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 846513 (view as bug list)
Environment:
Last Closed: 2012-08-07 16:16:13 UTC


Attachments (Terms of Use)

Description Leonard den Ottolander 2011-09-22 16:25:27 UTC
Tried building the FC 15 keepassx-0.4.3-2 SRPM on CentOS-5. Supposedly the qt4 version on CentOS-5 (qt4-devel-4.2.1-1.el5_7.1) fulfills BuildRequires qt-devel > 4.1 but in fact it doesn't as the actual build requirement is qt-4.3 (http://www.keepassx.org/requirements/)

The build on CentOS-5 fails with a somewhat curious error:

/usr/lib/qt4/bin/uic forms/AboutDlg.ui -o ../build/ui/ui_AboutDlg.h
uic: File generated with too old version of Qt Designer
File 'forms/AboutDlg.ui' is not valid

Apparently the too new ui files are being interpreted as being too old ;p .

Note also that the correct package name is qt-devel and not qt4-devel anymore.

Please fix and change
BuildRequires qt4-devel > 4.1
to
BuildRequires qt-devel >= 4.3
in the spec file.

Comment 1 Fedora End Of Life 2012-08-07 16:16:15 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.